Subject: Re: cloning a tree which has detached branch checked out

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 7 Feb 2012 15:02:05 +0200

On Tue, Feb 07, 2012 at 07:57:08PM +0700, Nguyen Thai Ngoc Duy wrote:
> On Tue, Feb 7, 2012 at 5:41 PM, Michael S. Tsirkin <[email-masked]> wrote:
> >> > #git clone -n lab:/home/mst/scm/linux
> >> > ....
> >> > error: Trying to write ref HEAD with nonexistant object
> >> > cec64082f689f949a397cb9b39423dc41545fa0e
> >> > fatal: Cannot update the ref 'HEAD'.
> >> >
> >> > Looks like a bug, doesn't it?
> >>
> >> Which git version?  IIRC there was some bugfix recently in that
> >> area...
> >
> > Sorry, forgot to mention that. It's pretty recent:
> > $ git --version
> > git version 1.7.9.111.gf3fb0
> 
> The series that Jakub mentioned is probably nd/clone-detached 5ce2b97,
> which is already included in your tree. Does 1.7.9 work?

I'll try that.

> I tried but it was ok for me. I think ref processing at local probably
> goes wrong and does not request commit from HEAD.  If the repo is not
> confidential, you can zip it and send me.

Can't unfortunately :(
Would some verbose logs help?

> -- 
> Duy